List upstream for a node
GET
/v1/lineage/nodes/{type}/{id}/upstreamcurl -X GET 'https://api.embodiflow.io/v1/lineage/nodes/{type}/{id}/upstream' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- typestringrequired
- idstringrequired
Query parameters
- depthnumber
- limitnumber
Responses
Success
- dataobjectrequired
- rootTypestringrequired
- rootIdstringrequired
- nodesarray<LineageStorageObjectNodeDto>required
- edgesarray<LineageEdgeSummaryDto>required
- truncatedone ofrequired
Response example
{
"data": {
"rootType": "string",
"rootId": "string",
"nodes": [
{
"id": "string",
"storageTier": "string",
"objectKey": "string",
"checksum": "string"
}
],
"edges": [
{
"id": "string",
"tenantId": "string",
"fromObjectId": "string",
"toObjectId": "string",
"edgeKind": "string",
"workflowRunId": "string",
"metadata": {},
"createdAt": "string"
}
],
"truncated": false
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1